CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(1) UNSIGNED DEFAULT 0,
  `gs` TINYINT(1) UNSIGNED DEFAULT 0,
  `team_order` TINYINT(1) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PASSING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `atts` SMALLINT(5) UNSIGNED DEFAULT 0,
  `cmp` SMALLINT(5) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(5) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `td` TINYINT(3) UNSIGNED DEFAULT 0,
  `int` TINYINT(3) UNSIGNED DEFAULT 0,
  `sacked` TINYINT(3) UNSIGNED DEFAULT 0,
  `sack_yards` SMALLINT(5) UNSIGNED DEFAULT 0,
  `rating` DECIMAL(4,1) UNSIGNED DEFAULT 0.0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_RUSHING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `atts` SMALLINT(6) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(6) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `td` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_RECEIVING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `recept` TINYINT(3) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(5) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `td` TINYINT(3) UNSIGNED DEFAULT 0,
  `targets` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_KICKING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `fg_att` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_made` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_u20` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_u30` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_u40` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_u50` TINYINT(3) UNSIGNED DEFAULT 0,
  `fg_o50` TINYINT(3) UNSIGNED DEFAULT 0,
  `xp_att` TINYINT(3) UNSIGNED DEFAULT 0,
  `xp_made` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_KICKRET` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `num` TINYINT(3) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(5) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `fair_catch` TINYINT(3) UNSIGNED DEFAULT 0,
  `td` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PUNTS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `num` TINYINT(3) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(5) DEFAULT 0,
  `net` SMALLINT(5) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `tb` TINYINT(3) UNSIGNED DEFAULT 0,
  `inside20` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PUNTRET` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `num` TINYINT(3) UNSIGNED DEFAULT 0,
  `yards` SMALLINT(5) DEFAULT 0,
  `long` TINYINT(4) DEFAULT 0,
  `fair_catch` TINYINT(3) UNSIGNED DEFAULT 0,
  `td` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_TACKLES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `tckl` TINYINT(3) UNSIGNED DEFAULT 0,
  `asst` TINYINT(3) UNSIGNED DEFAULT 0,
  `sacks` DECIMAL(3,1) UNSIGNED DEFAULT 0.0,
  `sacks_yards` SMALLINT(6) DEFAULT 0,
  `tfl` TINYINT(3) UNSIGNED DEFAULT 0,
  `qb_hit` TINYINT(3) UNSIGNED DEFAULT 0,
  `kick_block` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PASSDEF` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `pd` TINYINT(3) UNSIGNED DEFAULT 0,
  `int` TINYINT(3) UNSIGNED DEFAULT 0,
  `int_yards` SMALLINT(6) DEFAULT 0,
  `int_td` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_FUMBLES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `num_fumbled` TINYINT(3) UNSIGNED DEFAULT 0,
  `num_lost` TINYINT(3) UNSIGNED DEFAULT 0,
  `num_forced` TINYINT(3) UNSIGNED DEFAULT 0,
  `rec_own` TINYINT(3) UNSIGNED DEFAULT 0,
  `rec_opp` TINYINT(3) UNSIGNED DEFAULT 0,
  `rec_own_td` TINYINT(3) UNSIGNED DEFAULT 0,
  `rec_opp_td` TINYINT(3) UNSIGNED DEFAULT 0,
  `oob` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PASSING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `atts` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `cmp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `int` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `int_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sacked` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sacked_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sack_yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sack_yards_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rating` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rating_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_RUSHING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `atts` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_RECEIVING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `recept` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `targets` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_KICKING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `fg_att` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_made` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_u20` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_u30` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_u40` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_u50` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fg_o50` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `xp_att` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `xp_made` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `xp_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `xp_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pts` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_KICKRET_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `num` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fair_catch` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PUNTS_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `num` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `net` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `net_avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `net_avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `tb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `inside20` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PUNTRET_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `num` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `long` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fair_catch` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_TACKLES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `total` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `tckl` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `asst` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sacks` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sacks_yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `tfl` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `qb_hit` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `kick_block` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_PASSDEF_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `pd` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `int` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `int_yards` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `int_td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYERS_SEASON_FUMBLES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH','_NFL') COLLATE latin1_general_ci NOT NULL,
  `num_fumbled` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `num_lost` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `num_forced` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rec_own` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rec_opp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `num_rec` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rec_own_td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rec_opp_td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `num_rec_td` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `oob` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
